/*
 * Class NATIVE_ARRAY [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1847 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1847 [] = {0xFF01,1551,1846,848,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1847 [] = {0xFF01,1846,848,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1847 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1847 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1847 [] = {0xFF01,1846,848,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1847 [] = {0xFF01,1846,848,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1847 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1847 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1847 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1847 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1847 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1847 [] = {1846,848,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1847 [] = {0xFF01,1846,848,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1847 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1847[] = {
	{EIF_GENERIC(NULL), 1365, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1847), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1847), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1847), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1847), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1847), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1847), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1847), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1847), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1847), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1847), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1847), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1847), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1847), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1847), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1847), -1, 0xFFFFFFFF},
};
void Init1847(void)
{
	IDSC(desc_1847, 0, 1846);
	IDSC(desc_1847 + 1, 1, 1846);
	IDSC(desc_1847 + 32, 674, 1846);
}


#ifdef __cplusplus
}
#endif
